com.sun.jna.platform.win32

## Class VersionUtil

- java.lang.Object
- - com.sun.jna.platform.win32.VersionUtil

    public class VersionUtil
    extends java.lang.Object

Reads Windows Version info from files (the version details you can see by right-clicking and choosing properties)

Author:
  mlfreeman[at]gmail.com

### Constructor Summary

Constructors
Constructor and Description
`VersionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static VerRsrc.VS_FIXEDFILEINFO` `getFileVersionInfo(java.lang.String filePath)` Gets the file's version number info

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VersionUtil

    public VersionUtil()

### Method Detail

#### getFileVersionInfo

    public static VerRsrc.VS_FIXEDFILEINFO getFileVersionInfo(java.lang.String filePath)

Gets the file's version number info

Parameters:
  `filePath` - The path to the file
Returns:
  The VS_FIXEDFILEINFO structure read from the file.
  Use the getFileVersionMajor(), getFileVersionMinor(), getFileVersionRevision(), and getFileVersionBuild()
Throws:
  `java.lang.UnsupportedOperationException` - if VerQueryValue fails to get version info from the file.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.